# dominx

[![Badge: Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)
[![Status: Build](https://img.shields.io/github/actions/workflow/status/zenthm/dominx/build.yaml)](https://github.com/zenthm/dominx/actions/workflows/build.yaml)
[![Status: Documentation](https://img.shields.io/readthedocs/dominx)](https://dominx.readthedocs.io/en/latest/)
[![Status: Lint](https://img.shields.io/github/actions/workflow/status/zenthm/dominx/lint.yaml?label=lint)](https://github.com/zenthm/dominx/actions/workflows/lint.yaml)
[![Project: License](https://img.shields.io/github/license/zenthm/dominx)](https://github.com/zenthm/dominx/blob/main/LICENSE.txt)
[![Project: Version](https://img.shields.io/pypi/v/dominx)](https://pypi.org/project/dominx/)
[![Project: Status](https://img.shields.io/pypi/status/dominx)](https://pypi.org/project/dominx/)
[![Python: Version](https://img.shields.io/pypi/pyversions/dominx)](https://www.python.org/)

The **dominx** library is a powerful high-level Python library designed specifically for game
development, leveraging the low-level APIs of operating systems like Win32, X11, Cocoa, and more.
It offers a seamless interface for game developers to harness the full potential of these
low-level APIs without getting bogged down in complex code.

## Installation

You can install the library using `pip`. Before installation, ensure you have Python and pip
installed on your system. The library requires Python 3.7 or later to function properly.

```bash
pip install dominx
```

Alternatively, you can install the latest version directly from the GitHub repository:

```bash
pip install git+https://github.com/zenthm/dominx.git
```

## Contributing

If you're interested in contributing to the project, please read the
[Contributing Guidelines](https://github.com/zenthm/dominx/blob/main/CONTRIBUTING.md).
We welcome contributions from the community and appreciate your interest in making the project even
better!

## Code of Conduct

I am committed to treating everyone with respect and kindness, regardless of their background,
beliefs, or identity. As a member of the open source community, I believe it is important to create
a welcoming and inclusive environment for all.

To that end, I ask that anyone who interacts with this project or contributes to it follow this
[Code of Conduct](https://github.com/zenthm/dominx/blob/main/CODE_OF_CONDUCT.md).
The Code of Conduct outlines specific behaviors that are expected of contributors and community
members, as well as the consequences for violating the Code of Conduct.

If I observe or experience any behavior that violates this Code of Conduct, I may take any action I
deem appropriate, including warning the offender or blocking them from further interaction with
this project.

I take this Code of Conduct seriously and am committed to creating a positive and respectful
environment for everyone who interacts with this project.

## License

This project is licensed under the MIT License - see the
[LICENSE](https://github.com/zenthm/dominx/blob/main/LICENSE.txt) file for details.
